<div *ngIf="currentFile">
  <ul class="uk-breadcrumb">
    <li>
      <a (click)="onBackFile(currentFile)">Atrás</a>
    </li>
    <li>
      <span>{{ currentFile.name || 'Vacio' }}</span>
    </li>
  </ul>
</div>

<div *ngIf="(fileList | async)">
  <div *ngIf="(fileList | async).length > 0">
    <div uk-grid>
      <div
        *ngFor="let file of (fileList | async); let i = index"
        class="uk-width-1-3@s uk-width-1-4@m uk-text-center"
      >
        <span *ngIf="file.type === 'folder'">
          <a [routerLink]="['/files/' + (filter || ''), file.path]">
            <mat-icon aria-hidden="false" aria-label="Example home icon"
              >folder_open</mat-icon
            >
            <div>{{ file.name }}</div>
          </a>
        </span>
        <span *ngIf="file.type !== 'folder'">
          <a [href]="file.link" target="_blank">
            <mat-icon aria-hidden="false" aria-label="Example home icon"
              >insert_drive_file</mat-icon
            >
            <div>{{ file.name }}</div>
          </a>
        </span>
      </div>
    </div>
  </div>
  <div *ngIf="(fileList | async).length <= 0"><h2>Not found data</h2></div>
</div>
<div *ngIf="!(fileList | async)"><h2>Not found data</h2></div>
